///
/// Stellar by Pixelarity
/// pixelarity.com | hello@pixelarity.com
/// License: pixelarity.com/license
///

/* Nav */

	#nav {
		@include vendor('transition', (
			'background-color #{_duration(transition)} ease',
			'border-top-left-radius #{_duration(transition)} ease',
			'border-top-right-radius #{_duration(transition)} ease',
			'padding #{_duration(transition)} ease',
		));
		position: absolute;
		width: 72em;
		max-width: calc(100% - #{_size(element-margin) * 2});
		padding: 1em;
		background-color: _palette(accent1, bg-alt);
		border-top-left-radius: _size(border-radius-main);
		border-top-right-radius: _size(border-radius-main);
		cursor: default;
		text-align: center;

		ul {
			margin: 0;
			padding: 0;
			list-style: none;

			li {
				@include vendor('transition', (
					'margin #{_duration(transition)} ease'
				));
				display: inline-block;
				margin: 0 0.35em;
				padding: 0;
				vertical-align: middle;

				a {
					@include vendor('transition', (
						'font-size #{_duration(transition)} ease'
					));
					display: inline-block;
					height: 2.25em;
					line-height: 2.25em;
					padding: 0 1.25em;
					border: 0;
					border-radius: _size(border-radius);
					box-shadow: inset 0 0 0 1px transparent;

					&:hover {
						background-color: _palette(border-bg);
						border-radius: 1em;
					}
				}
				&.is-active {
					background-color: _palette(accent2, bg);
					border-radius: 1em;
					box-shadow: none;
				}
			}
		}

		&.alt {
			position: fixed;
			top: 0;
			padding: 0.5em 1em;
			background-color: transparentize(_palette(bg), 0.05);
			border-top-left-radius: 0;
			border-top-right-radius: 0;
			z-index: _misc(z-index-base);

			ul {
				li {
					margin: 0 0.175em;

					a {
						font-size: 0.9em;
					}
				}
			}
		}

		@include breakpoint('<=small') {
			display: none;

			& + #main {
				padding-top: 0;
			}
		}
	}